## simutrans 120.1.3+repack

=== Makefile ===
CFG ?= default
-include config.$(CFG)


BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl posix
COLOUR_DEPTHS = 0 16
OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
  $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
endif

ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
endif

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

ifeq ($(OSTYPE),amiga)
  STD_LIBS ?= -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
  CFLAGS += -mcrt=newlib -DUSE_C -DSIM_BIG_ENDIAN -gstabs+
  LDFLAGS += -Bstatic -non_shared
else
# BeOS (obsolete)
  ifeq ($(OSTYPE),beos)
    LIBS += -lnet
  else
    ifneq ($(findstring $(OSTYPE), cygwin mingw),)
      ifeq ($(OSTYPE),cygwin)
        CFLAGS  += -I/usr/include/mingw -mwin32
      else
        ifeq ($(OSTYPE),mingw)
          CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,--large-address-aware
          LIBS    += -lmingw32
        endif
      endif
      SOURCES += simsys_w32_png.cc
      CFLAGS  += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
      LIBS    += -lgdi32 -lwinmm -lws2_32 -limm32
      # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
      ifneq ($(WIN32_CONSOLE),)
        LDFLAGS += -mconsole
      else
        ifeq ($(BACKEND),posix)
          LDFLAGS += -mconsole
        else
          LDFLAGS += -mwindows
        endif
      endif
    else
# Haiku (needs to activate the GCC 4x)
      ifeq ($(OSTYPE),haiku)
        LIBS += -lnetwork -lbe
      endif
    endif
  endif
endif

ifeq ($(OSTYPE),mingw)
  SOURCES += clipboard_w32.cc
else
  SOURCES += clipboard_internal.cc
endif

LIBS += -lbz2 -lz

ALLEGRO_CONFIG ?= allegro-config
SDL_CONFIG     ?= sdl-config
SDL2_CONFIG    ?= sdl2-config

ifneq ($(OPTIMISE),)
  CFLAGS += -O3
  ifeq ($(findstring $(OSTYPE), amiga),)
	ifneq ($(findstring $(CXX), clang),)
		CFLAGS += -minline-all-stringops
	endif
  endif
else
  CFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    ifneq ($(PROFILE), 2)
      CFLAGS += -fno-inline
    endif
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    ifneq ($(PROFILE), 2)
      CFLAGS += -O0
    endif
  endif
else
  CFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS  += -pg -DPROFILE
  ifneq ($(PROFILE), 2)
    CFLAGS  += -fno-inline -fno-schedule-insns
  endif
  LDFLAGS += -pg
endif

ifneq ($(MULTI_THREAD),)
  ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
    CFLAGS += -DMULTI_THREAD
    ifeq ($(OSTYPE),mingw)
#use lpthreadGC2d for debug alternatively
      LDFLAGS += -lpthreadGC2
    else
      ifneq ($(OSTYPE),haiku)
        LDFLAGS += -lpthread
      endif
    endif
  endif
endif

ifneq ($(WITH_REVISION),)
  ifeq ($(shell expr $(WITH_REVISION) \>= 1), 1)
    ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
      REV = $(WITH_REVISION)
    else
      REV = $(shell svnversion)
    endif
    ifneq ($(REV),)
      CFLAGS  += -DREVISION="$(REV)"
    endif
  endif
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
CCFLAGS  += -Wstrict-prototypes


SOURCES += bauer/brueckenbauer.cc
SOURCES += bauer/fabrikbauer.cc
SOURCES += bauer/hausbauer.cc
SOURCES += bauer/tunnelbauer.cc
SOURCES += bauer/vehikelbauer.cc
SOURCES += bauer/warenbauer.cc
SOURCES += bauer/wegbauer.cc
SOURCES += besch/bild_besch.cc
SOURCES += besch/bruecke_besch.cc
SOURCES += besch/fabrik_besch.cc
SOURCES += besch/grund_besch.cc
SOURCES += besch/haus_besch.cc
SOURCES += besch/obj_besch_std_name.cc
SOURCES += besch/reader/bridge_reader.cc
SOURCES += besch/reader/building_reader.cc
SOURCES += besch/reader/citycar_reader.cc
SOURCES += besch/reader/crossing_reader.cc
SOURCES += besch/reader/factory_reader.cc
SOURCES += besch/reader/good_reader.cc
SOURCES += besch/reader/ground_reader.cc
SOURCES += besch/reader/groundobj_reader.cc
SOURCES += besch/reader/image_reader.cc
SOURCES += besch/reader/imagelist2d_reader.cc
SOURCES += besch/reader/imagelist_reader.cc
SOURCES += besch/reader/obj_reader.cc
SOURCES += besch/reader/pedestrian_reader.cc
SOURCES += besch/reader/roadsign_reader.cc
SOURCES += besch/reader/root_reader.cc
SOURCES += besch/reader/sim_reader.cc
SOURCES += besch/reader/skin_reader.cc
SOURCES += besch/reader/sound_reader.cc
SOURCES += besch/reader/text_reader.cc
SOURCES += besch/reader/tree_reader.cc
SOURCES += besch/reader/tunnel_reader.cc
SOURCES += besch/reader/vehicle_reader.cc
SOURCES += besch/reader/way_obj_reader.cc
SOURCES += besch/reader/way_reader.cc
SOURCES += besch/reader/xref_reader.cc
SOURCES += besch/sound_besch.cc
SOURCES += besch/tunnel_besch.cc
SOURCES += besch/vehikel_besch.cc
SOURCES += besch/ware_besch.cc
SOURCES += besch/weg_besch.cc
SOURCES += boden/boden.cc
SOURCES += boden/brueckenboden.cc
SOURCES += boden/fundament.cc
SOURCES += boden/grund.cc
SOURCES += boden/monorailboden.cc
SOURCES += boden/tunnelboden.cc
SOURCES += boden/wasser.cc
SOURCES += boden/wege/kanal.cc
SOURCES += boden/wege/maglev.cc
SOURCES += boden/wege/monorail.cc
SOURCES += boden/wege/narrowgauge.cc
SOURCES += boden/wege/runway.cc
SOURCES += boden/wege/schiene.cc
SOURCES += boden/wege/strasse.cc
SOURCES += boden/wege/weg.cc
SOURCES += dataobj/crossing_logic.cc
SOURCES += dataobj/objlist.cc
SOURCES += dataobj/settings.cc
SOURCES += dataobj/fahrplan.cc
SOURCES += dataobj/freelist.cc
SOURCES += dataobj/gameinfo.cc
SOURCES += dataobj/koord.cc
SOURCES += dataobj/koord3d.cc
SOURCES += dataobj/loadsave.cc
SOURCES += dataobj/marker.cc
SOURCES += dataobj/powernet.cc
SOURCES += dataobj/records.cc
SOURCES += dataobj/ribi.cc
SOURCES += dataobj/route.cc
SOURCES += dataobj/scenario.cc
SOURCES += dataobj/tabfile.cc
SOURCES += dataobj/translator.cc
SOURCES += dataobj/environment.cc
SOURCES += dataobj/warenziel.cc
SOURCES += obj/baum.cc
SOURCES += obj/bruecke.cc
SOURCES += obj/crossing.cc
SOURCES += obj/field.cc
SOURCES += obj/gebaeude.cc
SOURCES += obj/groundobj.cc
SOURCES += obj/label.cc
SOURCES += obj/leitung2.cc
SOURCES += obj/pillar.cc
SOURCES += obj/roadsign.cc
SOURCES += obj/signal.cc
SOURCES += obj/tunnel.cc
SOURCES += obj/wayobj.cc
SOURCES += obj/wolke.cc
SOURCES += obj/zeiger.cc
SOURCES += display/font.cc
SOURCES += display/simgraph$(COLOUR_DEPTH).cc
SOURCES += display/simview.cc
SOURCES += display/viewport.cc
SOURCES += freight_list_sorter.cc
SOURCES += gui/ai_option_t.cc
SOURCES += gui/banner.cc
SOURCES += gui/baum_edit.cc
SOURCES += gui/base_info.cc
SOURCES += gui/citybuilding_edit.cc
SOURCES += gui/citylist_frame_t.cc
SOURCES += gui/citylist_stats_t.cc
SOURCES += gui/climates.cc
SOURCES += gui/display_settings.cc
SOURCES += gui/components/gui_button.cc
SOURCES += gui/components/gui_chart.cc
SOURCES += gui/components/gui_combobox.cc
SOURCES += gui/components/gui_container.cc
SOURCES += gui/components/gui_convoiinfo.cc
SOURCES += gui/components/gui_obj_view_t.cc
SOURCES += gui/components/gui_fixedwidth_textarea.cc
SOURCES += gui/components/gui_flowtext.cc
SOURCES += gui/components/gui_image.cc
SOURCES += gui/components/gui_image_list.cc
SOURCES += gui/components/gui_komponente.cc
SOURCES += gui/components/gui_label.cc
SOURCES += gui/components/gui_map_preview.cc
SOURCES += gui/components/gui_numberinput.cc
SOURCES += gui/components/gui_scrollbar.cc
SOURCES += gui/components/gui_scrolled_list.cc
SOURCES += gui/components/gui_scrollpane.cc
SOURCES += gui/components/gui_speedbar.cc
SOURCES += gui/components/gui_tab_panel.cc
SOURCES += gui/components/gui_textarea.cc
SOURCES += gui/components/gui_textinput.cc
SOURCES += gui/components/gui_world_view_t.cc
SOURCES += gui/convoi_detail_t.cc
SOURCES += gui/convoi_filter_frame.cc
SOURCES += gui/convoi_frame.cc
SOURCES += gui/convoi_info_t.cc
SOURCES += gui/convoy_item.cc
SOURCES += gui/curiosity_edit.cc
SOURCES += gui/curiositylist_frame_t.cc
SOURCES += gui/curiositylist_stats_t.cc
SOURCES += gui/depot_frame.cc
SOURCES += gui/enlarge_map_frame_t.cc
SOURCES += gui/extend_edit.cc
SOURCES += gui/fabrik_info.cc
SOURCES += gui/factory_chart.cc
SOURCES += gui/factory_edit.cc
SOURCES += gui/factorylist_frame_t.cc
SOURCES += gui/factorylist_stats_t.cc
SOURCES += gui/fahrplan_gui.cc
SOURCES += gui/goods_frame_t.cc
SOURCES += gui/goods_stats_t.cc
SOURCES += gui/ground_info.cc
SOURCES += gui/gui_frame.cc
SOURCES += gui/gui_theme.cc
SOURCES += gui/halt_detail.cc
SOURCES += gui/halt_info.cc
SOURCES += gui/halt_list_filter_frame.cc
SOURCES += gui/halt_list_frame.cc
SOURCES += gui/halt_list_stats.cc
SOURCES += gui/help_frame.cc
SOURCES += gui/jump_frame.cc
SOURCES += gui/karte.cc
SOURCES += gui/kennfarbe.cc
SOURCES += gui/label_info.cc
SOURCES += gui/labellist_frame_t.cc
SOURCES += gui/labellist_stats_t.cc
SOURCES += gui/line_item.cc
SOURCES += gui/line_management_gui.cc
SOURCES += gui/load_relief_frame.cc
SOURCES += gui/loadsave_frame.cc
SOURCES += gui/map_frame.cc
SOURCES += gui/message_frame_t.cc
SOURCES += gui/message_option_t.cc
SOURCES += gui/message_stats_t.cc
SOURCES += gui/messagebox.cc
SOURCES += gui/money_frame.cc
SOURCES += gui/optionen.cc
SOURCES += gui/pakselector.cc
SOURCES += gui/password_frame.cc
SOURCES += gui/player_frame_t.cc
SOURCES += gui/privatesign_info.cc
SOURCES += gui/savegame_frame.cc
SOURCES += gui/scenario_frame.cc
SOURCES += gui/scenario_info.cc
SOURCES += gui/schedule_list.cc
SOURCES += gui/server_frame.cc
SOURCES += gui/settings_frame.cc
SOURCES += gui/settings_stats.cc
SOURCES += gui/signal_spacing.cc
SOURCES += gui/simwin.cc
SOURCES += gui/sound_frame.cc
SOURCES += gui/sprachen.cc
SOURCES += gui/city_info.cc
SOURCES += gui/station_building_select.cc
SOURCES += gui/themeselector.cc
SOURCES += gui/tool_selector.cc
SOURCES += gui/trafficlight_info.cc
SOURCES += gui/obj_info.cc
SOURCES += gui/welt.cc
SOURCES += network/checksum.cc
SOURCES += network/memory_rw.cc
SOURCES += network/network.cc
SOURCES += network/network_address.cc
SOURCES += network/network_cmd.cc
SOURCES += network/network_cmd_ingame.cc
SOURCES += network/network_cmd_scenario.cc
SOURCES += network/network_cmp_pakset.cc
SOURCES += network/network_file_transfer.cc
SOURCES += network/network_packet.cc
SOURCES += network/network_socket_list.cc
SOURCES += network/pakset_info.cc
SOURCES += network/pwd_hash.cc
SOURCES += old_blockmanager.cc
SOURCES += player/ai.cc
SOURCES += player/ai_goods.cc
SOURCES += player/ai_passenger.cc
SOURCES += player/finance.cc
SOURCES += player/simplay.cc
SOURCES += script/api_class.cc
SOURCES += script/api_function.cc
SOURCES += script/api_param.cc
SOURCES += script/api/api_city.cc
SOURCES += script/api/api_const.cc
SOURCES += script/api/api_convoy.cc
SOURCES += script/api/api_gui.cc
SOURCES += script/api/api_factory.cc
SOURCES += script/api/api_halt.cc
SOURCES += script/api/api_include.cc
SOURCES += script/api/api_line.cc
SOURCES += script/api/api_map_objects.cc
SOURCES += script/api/api_obj_desc.cc
SOURCES += script/api/api_obj_desc_base.cc
SOURCES += script/api/api_player.cc
SOURCES += script/api/api_scenario.cc
SOURCES += script/api/api_schedule.cc
SOURCES += script/api/api_settings.cc
SOURCES += script/api/api_simple.cc
SOURCES += script/api/api_tiles.cc
SOURCES += script/api/api_world.cc
SOURCES += script/api/export_besch.cc
SOURCES += script/api/get_next.cc
SOURCES += script/dynamic_string.cc
SOURCES += script/export_objs.cc
SOURCES += script/script.cc
SOURCES += squirrel/sq_extensions.cc
SOURCES += squirrel/squirrel/sqapi.cc
SOURCES += squirrel/squirrel/sqclass.cc
SOURCES += squirrel/squirrel/sqdebug.cc
SOURCES += squirrel/squirrel/sqlexer.cc
SOURCES += squirrel/squirrel/sqobject.cc
SOURCES += squirrel/squirrel/sqtable.cc
SOURCES += squirrel/squirrel/sqbaselib.cc
SOURCES += squirrel/squirrel/sqcompiler.cc
SOURCES += squirrel/squirrel/sqfuncstate.cc

=== makeobj/Makefile ===
CFG ?= default
-include ../config.$(CFG)

OSTYPES       = beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

PNG_CONFIG ?= pkg-config libpng

ifneq ($(PNG_CONFIG),)
	PNG_CFLAGS  := $(shell $(PNG_CONFIG) --cflags)
	PNG_LDFLAGS := $(shell $(PNG_CONFIG) --libs)
endif

CFLAGS  += $(PNG_CFLAGS)
LDFLAGS += $(PNG_LDFLAGS)

# Absolutely essential
CFLAGS += -DMAKEOBJ
CXXFLAGS += -DMAKEOBJ

STD_LIBS += -lz -lbz2 -lpng

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS += -lwinmm
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  OS_OPT   ?= -DPNG_STATIC -DZLIB_STATIC -march=pentium
  LDFLAGS += -static-libgcc -static-libstdc++
  # we need the libraries EXACTLY in this order to link
  STD_LIBS = -lmingw32 -lpng -lz
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
  CXXFLAGS   += -DUSE_HW -DUSE_C
endif

ifneq ($(OPTIMISE),)
  CFLAGS   += -O3 -fno-schedule-insns
  CXXFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    CFLAGS  += -minline-all-stringops
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
else
  CFLAGS += -DNDEBUG
  CXXFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg -DPROFILE -fno-inline
  CXXFLAGS += -pg -DPROFILE -fno-inline
  LDFLAGS += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)

# SOLO_SOURCES contains files which are unique to makeobj;
# SHARED_SOURCES contains those with the exact same object code in makeobj and simutrans;
# VARIANT_SOURCES contains those which need different .o files for makeobj and simutrans.
# At the moment they're all treated identically, of course.
SOLO_SOURCES += makeobj.cc
SOLO_SOURCES += ../besch/writer/bridge_writer.cc
SOLO_SOURCES += ../besch/writer/building_writer.cc
SOLO_SOURCES += ../besch/writer/citycar_writer.cc
SOLO_SOURCES += ../besch/writer/crossing_writer.cc
SOLO_SOURCES += ../besch/writer/factory_writer.cc
SOLO_SOURCES += ../besch/writer/get_climate.cc
SOLO_SOURCES += ../besch/writer/get_waytype.cc
SOLO_SOURCES += ../besch/writer/good_writer.cc
SOLO_SOURCES += ../besch/writer/groundobj_writer.cc
SOLO_SOURCES += ../besch/writer/ground_writer.cc
SOLO_SOURCES += ../besch/writer/image_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist2d_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist_writer.cc
SOLO_SOURCES += ../besch/writer/obj_node.cc
SOLO_SOURCES += ../besch/writer/obj_writer.cc
SOLO_SOURCES += ../besch/writer/pedestrian_writer.cc
SOLO_SOURCES += ../besch/writer/roadsign_writer.cc
SOLO_SOURCES += ../besch/writer/root_writer.cc
SOLO_SOURCES += ../besch/writer/sim_writer.cc
SOLO_SOURCES += ../besch/writer/skin_writer.cc
SOLO_SOURCES += ../besch/writer/sound_writer.cc
SOLO_SOURCES += ../besch/writer/text_writer.cc
SOLO_SOURCES += ../besch/writer/tree_writer.cc
SOLO_SOURCES += ../besch/writer/tunnel_writer.cc
SOLO_SOURCES += ../besch/writer/vehicle_writer.cc
SOLO_SOURCES += ../besch/writer/way_writer.cc
SOLO_SOURCES += ../besch/writer/way_obj_writer.cc
SOLO_SOURCES += ../besch/writer/xref_writer.cc
SOLO_SOURCES += ../utils/dr_rdpng.cc
SHARED_SOURCES += ../besch/bild_besch.cc
SHARED_SOURCES += ../dataobj/freelist.cc
SHARED_SOURCES += ../simdebug.cc
SHARED_SOURCES += ../simmem.cc
SHARED_SOURCES += ../utils/simstring.cc
SHARED_SOURCES += ../utils/searchfolder.cc
VARIANT_SOURCES += ../dataobj/tabfile.cc
VARIANT_SOURCES += ../utils/log.cc

SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

BUILDDIR ?= build/$(CFG)
TOOL  = makeobj
PROG ?= makeobj

ifeq ($(origin MAKEOBJ_PROGDIR), undefined)
  MAKEOBJ_PROGDIR := ../$(BUILDDIR)/$(TOOL)
endif

BUILDDIR := ../$(BUILDDIR)

TOOL_PROGDIR = $(MAKEOBJ_PROGDIR)

include ../uncommon.mk

=== nettools/Makefile ===
CFG ?= default
-include ../config.$(CFG)

OSTYPES       = beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

# Absolutely essential
CFLAGS += -DNETTOOL
CXXFLAGS += -DNETTOOL

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS += -lwinmm -lcurses
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  OS_OPT   ?= -mno-cygwin -march=pentium
  # we need the libraries EXACTLY in this order to link
  STD_LIBS = -lmingw32 -lstdc++ -lwsock32
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
  CXXFLAGS   += -DUSE_HW -DUSE_C
endif

ifneq ($(OPTIMISE),)
  CFLAGS   += -O3 -fno-schedule-insns
  CXXFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    CFLAGS  += -minline-all-stringops
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
else
  CFLAGS += -DNDEBUG
  CXXFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg -DPROFILE -fno-inline
  CXXFLAGS += -pg -DPROFILE -fno-inline
  LDFLAGS += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)

# SOLO_SOURCES contains files which are unique to nettool;
# SHARED_SOURCES contains those with the exact same object code in nettool and simutrans;
# VARIANT_SOURCES contains those which need different .o files for nettool and simutrans.
# At the moment they're all treated identically, of course.
SOLO_SOURCES += nettool.cc
SHARED_SOURCES += ../dataobj/freelist.cc
SHARED_SOURCES += ../network/memory_rw.cc
SHARED_SOURCES += ../network/network_address.cc
SHARED_SOURCES += ../network/network_cmd.cc
SHARED_SOURCES += ../network/network_packet.cc
SHARED_SOURCES += ../network/network_socket_list.cc
SHARED_SOURCES += ../network/pwd_hash.cc
SHARED_SOURCES += ../simdebug.cc
SHARED_SOURCES += ../simmem.cc
SHARED_SOURCES += ../utils/simstring.cc
SHARED_SOURCES += ../utils/fetchopt.cc
SHARED_SOURCES += ../utils/sha1.cc
VARIANT_SOURCES += ../utils/log.cc
VARIANT_SOURCES += ../network/network.cc
VARIANT_SOURCES += ../network/network_file_transfer.cc

SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

BUILDDIR ?= build/$(CFG)
TOOL  = nettool
PROG ?= nettool

ifeq ($(origin NETTOOL_PROGDIR), undefined)
  NETTOOL_PROGDIR := ../$(BUILDDIR)/$(TOOL)
endif


BUILDDIR := ../$(BUILDDIR)

TOOL_PROGDIR = $(NETTOOL_PROGDIR)

include ../uncommon.mk

=== debian/changelog ===
simutrans (120.1.3+repack-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * Remove upstream applied 0510-missing_uncommon_mk.patch.
  * Refresh patches.
  * debian/rules:
    - Add -lssl -lcrypto to LDFLAGS to prevent build error.
  * Update translations.
  * Update debian/patches/0005-typo.patch.
  * debian/watch: Bump version to 4 (no changes required).
  * debian/copyright: Add year 2016.

  [ Markus Koschany ]
  * Vcs-Git: Use https.
  * Declare compliance with Debian Policy 3.9.7.
  * Remove repack.sh and use Files-Excluded mechanism instead.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 08 Feb 2016 00:10:30 +0100

=== debian/control ===
Source: simutrans
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
 Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libpng-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 libssl-dev,
 quilt,
 zlib1g-dev
Standards-Version: 3.9.7
Homepage: http://www.simutrans.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git

Package: simutrans
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 simutrans-pak64 (>= 120.0.1),
 simutrans-data (= ${source:Version})
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for simutrans

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export VERBOSE  = 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
export CCFLAGS  = $(CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export CXXFLAGS += -D_FORTIFY_SOURCE=2
export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS += -lssl -lcrypto

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C makeobj

override_dh_auto_clean:
	dh_quilt_patch
	dh_auto_clean
	$(MAKE) -C makeobj clean
	$(RM) -r skin
	$(RM) -r build

override_dh_install-arch:
	dh_install
	install -m 755 build/default/sim $(CURDIR)/debian/simutrans/usr/games/simutrans

override_dh_install-indep:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs simutrans/history.txt

update-translations:
	dh_testdir
	wget --post-data "version=0&choice=all&submit=Export!" --delete-after "http://simutrans-germany.com/translator/script/main.php?page=wrap"
	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
	$(RM) language_pack-Base+texts.zip

get-orig-source:
	uscan --verbose --download-current-version --force-download --repack

=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,repacksuffix=+repack,\
dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
http://sf.net/simutrans/simutrans-src-(.*)\.zip

## simutrans 120.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 CFG ?= default
 -include config.$(CFG)
-
 
 BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl posix
 COLOUR_DEPTHS = 0 16
@@ -20,7 +19,7 @@
 
 ifeq ($(OSTYPE),amiga)
   STD_LIBS ?= -lunix -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
-  CFLAGS += -mcrt=newlib -DUSE_C -DSIM_BIG_ENDIAN -gstabs+
+  CFLAGS += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 else
 # BeOS (obsolete)
@@ -29,12 +28,19 @@
   else
     ifneq ($(findstring $(OSTYPE), cygwin mingw),)
       ifeq ($(OSTYPE),cygwin)
-        CFLAGS  += -I/usr/include/mingw -mwin32
+        CFLAGS += -I/usr/include/mingw -mwin32
       else
         ifeq ($(OSTYPE),mingw)
           CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
-          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,--large-address-aware
-          LIBS    += -lmingw32
+          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,-Bstatic -lpthread -lbz2 -lz -Wl,-Bdynamic -Wl,--large-address-aware
+          ifneq ($(STATIC),)
+            ifeq ($(shell expr $(STATIC) \>= 1), 1)
+              CFLAGS  += -static
+              LDFLAGS += -Wl,-Bstatic -lbz2 -Wl,-Bdynamic
+							# other libs like SDL2 MUST be dynamic!
+            endif
+          endif
+          LIBS += -lmingw32
         endif
       endif
       SOURCES += simsys_w32_png.cc
@@ -65,7 +71,10 @@
   SOURCES += clipboard_internal.cc
 endif
 
-LIBS += -lbz2 -lz
+ifneq ($(OSTYPE),mingw)
+	# already defined
+	LIBS += -lbz2 -lz
+endif
 
 ALLEGRO_CONFIG ?= allegro-config
 SDL_CONFIG     ?= sdl-config
@@ -74,15 +83,18 @@
 ifneq ($(OPTIMISE),)
   CFLAGS += -O3
   ifeq ($(findstring $(OSTYPE), amiga),)
-	ifneq ($(findstring $(CXX), clang),)
-		CFLAGS += -minline-all-stringops
-	endif
+    ifneq ($(findstring $(CXX), clang),)
+      CFLAGS += -minline-all-stringops
+    endif
   endif
 else
   CFLAGS += -O
 endif
 
 ifdef DEBUG
+	ifndef MSG_LEVEL
+		MSG_LEVEL = 3
+	endif
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
     CFLAGS += -g -DDEBUG
   endif
@@ -98,6 +110,10 @@
   endif
 else
   CFLAGS += -DNDEBUG
+endif
+
+ifdef MSG_LEVEL
+	CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
 endif
 
 ifneq ($(PROFILE),)
@@ -111,13 +127,8 @@
 ifneq ($(MULTI_THREAD),)
   ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
     CFLAGS += -DMULTI_THREAD
-    ifeq ($(OSTYPE),mingw)
-#use lpthreadGC2d for debug alternatively
-      LDFLAGS += -lpthreadGC2
-    else
-      ifneq ($(OSTYPE),haiku)
-        LDFLAGS += -lpthread
-      endif
+    ifneq ($(OSTYPE),haiku)
+      LDFLAGS += -lpthread
     endif
   endif
 endif
@@ -136,7 +147,7 @@
 endif
 
 CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
-CCFLAGS  += -Wstrict-prototypes
+CCFLAGS  += -ansi -Wstrict-prototypes -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 
 
 SOURCES += bauer/brueckenbauer.cc
@@ -144,44 +155,44 @@
 SOURCES += bauer/hausbauer.cc
 SOURCES += bauer/tunnelbauer.cc
 SOURCES += bauer/vehikelbauer.cc
-SOURCES += bauer/warenbauer.cc
+SOURCES += bauer/goods_manager.cc
 SOURCES += bauer/wegbauer.cc
-SOURCES += besch/bild_besch.cc
-SOURCES += besch/bruecke_besch.cc
-SOURCES += besch/fabrik_besch.cc
-SOURCES += besch/grund_besch.cc
-SOURCES += besch/haus_besch.cc
-SOURCES += besch/obj_besch_std_name.cc
-SOURCES += besch/reader/bridge_reader.cc
-SOURCES += besch/reader/building_reader.cc
-SOURCES += besch/reader/citycar_reader.cc
-SOURCES += besch/reader/crossing_reader.cc
-SOURCES += besch/reader/factory_reader.cc
-SOURCES += besch/reader/good_reader.cc
-SOURCES += besch/reader/ground_reader.cc
-SOURCES += besch/reader/groundobj_reader.cc
-SOURCES += besch/reader/image_reader.cc
-SOURCES += besch/reader/imagelist2d_reader.cc
-SOURCES += besch/reader/imagelist_reader.cc
-SOURCES += besch/reader/obj_reader.cc
-SOURCES += besch/reader/pedestrian_reader.cc
-SOURCES += besch/reader/roadsign_reader.cc
-SOURCES += besch/reader/root_reader.cc
-SOURCES += besch/reader/sim_reader.cc
-SOURCES += besch/reader/skin_reader.cc
-SOURCES += besch/reader/sound_reader.cc
-SOURCES += besch/reader/text_reader.cc
-SOURCES += besch/reader/tree_reader.cc
-SOURCES += besch/reader/tunnel_reader.cc
-SOURCES += besch/reader/vehicle_reader.cc
-SOURCES += besch/reader/way_obj_reader.cc
-SOURCES += besch/reader/way_reader.cc
-SOURCES += besch/reader/xref_reader.cc
-SOURCES += besch/sound_besch.cc
-SOURCES += besch/tunnel_besch.cc
-SOURCES += besch/vehikel_besch.cc
-SOURCES += besch/ware_besch.cc
-SOURCES += besch/weg_besch.cc
+SOURCES += descriptor/image.cc
+SOURCES += descriptor/bridge_desc.cc
+SOURCES += descriptor/factory_desc.cc
+SOURCES += descriptor/ground_desc.cc
+SOURCES += descriptor/building_desc.cc
+SOURCES += descriptor/obj_base_desc.cc
+SOURCES += descriptor/reader/bridge_reader.cc
+SOURCES += descriptor/reader/building_reader.cc
+SOURCES += descriptor/reader/citycar_reader.cc
+SOURCES += descriptor/reader/crossing_reader.cc
+SOURCES += descriptor/reader/factory_reader.cc
+SOURCES += descriptor/reader/good_reader.cc
+SOURCES += descriptor/reader/ground_reader.cc
+SOURCES += descriptor/reader/groundobj_reader.cc
+SOURCES += descriptor/reader/image_reader.cc
+SOURCES += descriptor/reader/imagelist2d_reader.cc
+SOURCES += descriptor/reader/imagelist_reader.cc
+SOURCES += descriptor/reader/obj_reader.cc
+SOURCES += descriptor/reader/pedestrian_reader.cc
+SOURCES += descriptor/reader/roadsign_reader.cc
+SOURCES += descriptor/reader/root_reader.cc
+SOURCES += descriptor/reader/sim_reader.cc
+SOURCES += descriptor/reader/skin_reader.cc
+SOURCES += descriptor/reader/sound_reader.cc
+SOURCES += descriptor/reader/text_reader.cc
+SOURCES += descriptor/reader/tree_reader.cc
+SOURCES += descriptor/reader/tunnel_reader.cc
+SOURCES += descriptor/reader/vehicle_reader.cc
+SOURCES += descriptor/reader/way_obj_reader.cc
+SOURCES += descriptor/reader/way_reader.cc
+SOURCES += descriptor/reader/xref_reader.cc
+SOURCES += descriptor/sound_desc.cc
+SOURCES += descriptor/tunnel_desc.cc
+SOURCES += descriptor/vehicle_desc.cc
+SOURCES += descriptor/goods_desc.cc
+SOURCES += descriptor/way_desc.cc
 SOURCES += boden/boden.cc
 SOURCES += boden/brueckenboden.cc
 SOURCES += boden/fundament.cc
@@ -200,9 +211,9 @@
 SOURCES += dataobj/crossing_logic.cc
 SOURCES += dataobj/objlist.cc
 SOURCES += dataobj/settings.cc
-SOURCES += dataobj/fahrplan.cc
 SOURCES += dataobj/freelist.cc
 SOURCES += dataobj/gameinfo.cc
+SOURCES += dataobj/height_map_loader.cc
 SOURCES += dataobj/koord.cc
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
@@ -212,10 +223,10 @@
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
 SOURCES += dataobj/scenario.cc
+SOURCES += dataobj/schedule.cc
 SOURCES += dataobj/tabfile.cc
 SOURCES += dataobj/translator.cc
 SOURCES += dataobj/environment.cc
-SOURCES += dataobj/warenziel.cc
 SOURCES += obj/baum.cc
 SOURCES += obj/bruecke.cc
 SOURCES += obj/crossing.cc
@@ -237,6 +248,7 @@
 SOURCES += display/viewport.cc
 SOURCES += freight_list_sorter.cc
 SOURCES += gui/ai_option_t.cc
+SOURCES += gui/ai_selector.cc
 SOURCES += gui/banner.cc
 SOURCES += gui/baum_edit.cc
 SOURCES += gui/base_info.cc
@@ -283,7 +295,6 @@
 SOURCES += gui/factory_edit.cc
 SOURCES += gui/factorylist_frame_t.cc
 SOURCES += gui/factorylist_stats_t.cc
-SOURCES += gui/fahrplan_gui.cc
 SOURCES += gui/goods_frame_t.cc
 SOURCES += gui/goods_stats_t.cc
 SOURCES += gui/ground_info.cc
@@ -319,6 +330,7 @@
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/scenario_info.cc
+SOURCES += gui/schedule_gui.cc
 SOURCES += gui/schedule_list.cc
 SOURCES += gui/server_frame.cc
 SOURCES += gui/settings_frame.cc
@@ -351,13 +363,16 @@
 SOURCES += player/ai.cc
 SOURCES += player/ai_goods.cc
 SOURCES += player/ai_passenger.cc
+SOURCES += player/ai_scripted.cc
 SOURCES += player/finance.cc
 SOURCES += player/simplay.cc
 SOURCES += script/api_class.cc
 SOURCES += script/api_function.cc
 SOURCES += script/api_param.cc
 SOURCES += script/api/api_city.cc
+SOURCES += script/api/api_command.cc
 SOURCES += script/api/api_const.cc
+SOURCES += script/api/api_control.cc
 SOURCES += script/api/api_convoy.cc
 SOURCES += script/api/api_gui.cc
 SOURCES += script/api/api_factory.cc
@@ -371,21 +386,3 @@
 SOURCES += script/api/api_scenario.cc
 SOURCES += script/api/api_schedule.cc
 SOURCES += script/api/api_settings.cc
-SOURCES += script/api/api_simple.cc
-SOURCES += script/api/api_tiles.cc
-SOURCES += script/api/api_world.cc
-SOURCES += script/api/export_besch.cc
-SOURCES += script/api/get_next.cc
-SOURCES += script/dynamic_string.cc
-SOURCES += script/export_objs.cc
-SOURCES += script/script.cc
-SOURCES += squirrel/sq_extensions.cc
-SOURCES += squirrel/squirrel/sqapi.cc
-SOURCES += squirrel/squirrel/sqclass.cc
-SOURCES += squirrel/squirrel/sqdebug.cc
-SOURCES += squirrel/squirrel/sqlexer.cc
-SOURCES += squirrel/squirrel/sqobject.cc
-SOURCES += squirrel/squirrel/sqtable.cc
-SOURCES += squirrel/squirrel/sqbaselib.cc
-SOURCES += squirrel/squirrel/sqcompiler.cc
-SOURCES += squirrel/squirrel/sqfuncstate.cc

=== debian/changelog ===
simutrans (120.2.2-3ubuntu1) bionic; urgency=medium

  * Build with -O1 on armhf, to work around a build failure due to a
    toolchain bug.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Mar 2018 22:30:11 -0700

simutrans (120.2.2-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/rules (Closes: #870770):
    - Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
      Thanks to Helmut Grohne <helmut@subdivi.de>.
  * debian/copyright:
    - Add Markus Koschany to debian/*.
    - Change to my new email address.
  * debian/control:
    - Change to my new email address.
    - Bump Build-Depends of debhelper to 11.
    - Change priority to optional.
  * debian/compat:
    - Bump compat level to 11.
  * debian/makeobj.6:
    - Correct typo.
  * Declare compliance with Debian Policy 4.1.3 (No changes needed).
  * New *.lintian-overrides to override the "spelling-error-in-copyright"
    warning.
  * Refresh patches/0005-typo.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 01 Jan 2018 14:54:37 +0100

simutrans (120.2.2-2) unstable; urgency=medium

  * Team upload.
  * Update 0500-config.diff. Use sdl_config instead of sdl2_config.
    This will enable the MIDI music again. Thanks to Julius Andrikonis for the
    report. (Closes: #869029)

 -- Markus Koschany <apo@debian.org>  Tue, 01 Aug 2017 00:30:13 +0200

simutrans (120.2.2-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
    - Refresh patches:
      + 0005-typo.patch
      + 0100-path_for_game-data.patch
      + 0105-revert-svn-1937.diff
      + 0500-config.diff
      + reproducible-build.patch
    - Remove useless patch sha1.patch.
    - Remove now useless get-orig-source from debian/rules
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * Refresh debian/copyright.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 25 Jun 2017 15:41:41 +0200

simutrans (120.1.3+repack-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * debian/rules:
    - Add -std=gnu++11 to CXXFLAGS to prevent FTBFS on some architectures.
    - Remove useless -lssl -lcrypto from LDFLAGS
  * debian/control:
    - Remove useless libssl-dev from Build-Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Thu, 17 Nov 2016 11:03:50 +0100

simutrans (120.1.3+repack-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.
  * Drop 0110-sha1-replacement.diff.
    We don't need this patch because the original sha1 implementation from Paul
    E.Jones is free software.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=730758 for a
    clarification.
  * Add sha1.patch.
    This is the original upstream version. It is free software. Add a
    clarification to debian/copyright. This also fixes the FTBFS with OpenSSL
    1.1.0. (Closes: #828545)
  * Fix installation path of makeobj and sim binary file.
  * debian/clean: Ensure that the package can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Thu, 10 Nov 2016 23:28:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: simutrans
 Section: games
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
- Jörg Frings-Fürst <debian@jff-webhosting.net>
+ Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libbz2-dev,
  libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
- libssl-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Homepage: http://www.simutrans.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,26 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH), armhf)
+export DEB_BUILD_OPTIONS = noopt
+export DEB_CFLAGS_MAINT_APPEND = -O1
+endif
+
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CCFLAGS  = $(CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
-export CXXFLAGS += -D_FORTIFY_SOURCE=2
+export CXXFLAGS += -D_FORTIFY_SOURCE=2 -std=gnu++11
 export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-export LDFLAGS += -lssl -lcrypto
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build
-	$(MAKE) -C makeobj
+	dh_auto_build --sourcedirectory=makeobj
 
 override_dh_auto_clean:
 	dh_quilt_patch
@@ -32,7 +38,7 @@
 
 override_dh_install-arch:
 	dh_install
-	install -m 755 build/default/sim $(CURDIR)/debian/simutrans/usr/games/simutrans
+	install -m 755 sim $(CURDIR)/debian/simutrans/usr/games/simutrans
 
 override_dh_install-indep:
 	dh_install
@@ -46,6 +52,3 @@
 	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
 	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
 	$(RM) language_pack-Base+texts.zip
-
-get-orig-source:
-	uscan --verbose --download-current-version --force-download --repack

## simutrans 120.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,21 @@
 CFG ?= default
 -include config.$(CFG)
 
-BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl posix
+HOSTCC?=$(CC)
+HOSTCXX?=$(CXX)
+
+PROFILE ?= 0
+STATIC ?= 0
+AV_FOUNDATION ?= 0
+
+ALLEGRO_CONFIG ?= allegro-config
+SDL_CONFIG ?= sdl-config
+SDL2_CONFIG ?= sdl2-config
+FREETYPE_CONFIG ?= freetype-config
+
+BACKENDS      = allegro gdi opengl sdl sdl2 mixer_sdl mixer_sdl2 posix
 COLOUR_DEPTHS = 0 16
-OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
+OSTYPES       = amiga beos freebsd haiku linux mingw mac openbsd
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -22,33 +34,25 @@
   CFLAGS += -mcrt=newlib -DSIM_BIG_ENDIAN -gstabs+
   LDFLAGS += -Bstatic -non_shared
 else
-# BeOS (obsolete)
+  # BeOS (obsolete)
   ifeq ($(OSTYPE),beos)
     LIBS += -lnet
   else
-    ifneq ($(findstring $(OSTYPE), cygwin mingw),)
-      ifeq ($(OSTYPE),cygwin)
-        CFLAGS += -I/usr/include/mingw -mwin32
-      else
-        ifeq ($(OSTYPE),mingw)
-          CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
-          LDFLAGS += -static-libgcc -static-libstdc++ -Wl,-Bstatic -lpthread -lbz2 -lz -Wl,-Bdynamic -Wl,--large-address-aware
-          ifneq ($(STATIC),)
-            ifeq ($(shell expr $(STATIC) \>= 1), 1)
-              CFLAGS  += -static
-              LDFLAGS += -Wl,-Bstatic -lbz2 -Wl,-Bdynamic
-							# other libs like SDL2 MUST be dynamic!
-            endif
-          endif
-          LIBS += -lmingw32
-        endif
-      endif
+    ifeq ($(OSTYPE),mingw)
+      CFLAGS  += -DPNG_STATIC -DZLIB_STATIC
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        CFLAGS  += -static
+        LDFLAGS += -static-libgcc -static-libstdc++ -static
+      endif
+      LDFLAGS += -pthread -Wl,--large-address-aware
       SOURCES += simsys_w32_png.cc
       CFLAGS  += -DNOMINMAX -DWIN32_LEAN_AND_MEAN -DWINVER=0x0501 -D_WIN32_IE=0x0500
-      LIBS    += -lgdi32 -lwinmm -lws2_32 -limm32
+      LIBS    += -lmingw32 -lgdi32 -lwinmm -lws2_32 -limm32
       # Disable the console on Windows unless WIN32_CONSOLE is set or graphics are disabled
-      ifneq ($(WIN32_CONSOLE),)
-        LDFLAGS += -mconsole
+      ifdef WIN32_CONSOLE
+        ifeq ($(shell expr $(WIN32_CONSOLE) \>= 1), 1)
+          LDFLAGS += -mconsole
+        endif
       else
         ifeq ($(BACKEND),posix)
           LDFLAGS += -mconsole
@@ -57,7 +61,7 @@
         endif
       endif
     else
-# Haiku (needs to activate the GCC 4x)
+      # Haiku (needs to activate the GCC 4x)
       ifeq ($(OSTYPE),haiku)
         LIBS += -lnetwork -lbe
       endif
@@ -71,20 +75,15 @@
   SOURCES += clipboard_internal.cc
 endif
 
-ifneq ($(OSTYPE),mingw)
-	# already defined
-	LIBS += -lbz2 -lz
-endif
-
-ALLEGRO_CONFIG ?= allegro-config
-SDL_CONFIG     ?= sdl-config
-SDL2_CONFIG    ?= sdl2-config
-
-ifneq ($(OPTIMISE),)
-  CFLAGS += -O3
-  ifeq ($(findstring $(OSTYPE), amiga),)
-    ifneq ($(findstring $(CXX), clang),)
-      CFLAGS += -minline-all-stringops
+LIBS += -lbz2 -lz
+
+ifdef OPTIMISE
+  ifeq ($(shell expr $(OPTIMISE) \>= 1), 1)
+    CFLAGS += -O3
+    ifeq ($(findstring $(OSTYPE), amiga),)
+      ifneq ($(findstring $(CXX), clang),)
+        CFLAGS += -minline-all-stringops
+      endif
     endif
   endif
 else
@@ -92,19 +91,19 @@
 endif
 
 ifdef DEBUG
-	ifndef MSG_LEVEL
-		MSG_LEVEL = 3
-	endif
+  ifndef MSG_LEVEL
+    MSG_LEVEL = 3
+  endif
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
     CFLAGS += -g -DDEBUG
   endif
   ifeq ($(shell expr $(DEBUG) \>= 2), 1)
-    ifneq ($(PROFILE), 2)
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
       CFLAGS += -fno-inline
     endif
   endif
   ifeq ($(shell expr $(DEBUG) \>= 3), 1)
-    ifneq ($(PROFILE), 2)
+    ifeq ($(shell expr $(PROFILE) \>= 2), 1)
       CFLAGS += -O0
     endif
   endif
@@ -113,27 +112,68 @@
 endif
 
 ifdef MSG_LEVEL
-	CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
-endif
-
-ifneq ($(PROFILE),)
+  CFLAGS += -DMSG_LEVEL=$(MSG_LEVEL)
+endif
+
+ifdef USE_FREETYPE
+  ifeq ($(shell expr $(USE_FREETYPE) \>= 1), 1)
+    CFLAGS  += -DUSE_FREETYPE
+    ifneq ($(FREETYPE_CONFIG),)
+      CFLAGS  += $(shell $(FREETYPE_CONFIG) --cflags)
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs --static)
+      else
+        LDFLAGS += $(shell $(FREETYPE_CONFIG) --libs)
+      endif
+    else
+      LDFLAGS += -lfreetype
+      ifeq ($(OSTYPE),mingw)
+        LDFLAGS += -lpng -lharfbuzz -lgraphite2
+      endif
+    endif
+    ifeq ($(OSTYPE),mingw)
+      LDFLAGS += -lfreetype
+    endif
+  endif
+endif
+
+ifdef USE_UPNP
+  ifeq ($(shell expr $(USE_UPNP) \>= 1), 1)
+    CFLAGS  += -DUSE_UPNP
+    LDFLAGS += -lminiupnpc
+    ifeq ($(OSTYPE),mingw)
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += -Wl,-Bdynamic
+      endif
+      LDFLAGS += -liphlpapi
+      ifeq ($(shell expr $(STATIC) \>= 1), 1)
+        LDFLAGS += -Wl,-Bstatic
+      endif
+    endif
+  endif
+endif
+
+ifeq ($(shell expr $(PROFILE) \>= 1), 1)
   CFLAGS  += -pg -DPROFILE
-  ifneq ($(PROFILE), 2)
+  ifeq ($(shell expr $(PROFILE) \>= 2), 1)
     CFLAGS  += -fno-inline -fno-schedule-insns
   endif
   LDFLAGS += -pg
 endif
 
-ifneq ($(MULTI_THREAD),)
+ifdef MULTI_THREAD
   ifeq ($(shell expr $(MULTI_THREAD) \>= 1), 1)
     CFLAGS += -DMULTI_THREAD
     ifneq ($(OSTYPE),haiku)
-      LDFLAGS += -lpthread
-    endif
-  endif
-endif
-
-ifneq ($(WITH_REVISION),)
+      # mingw has already added pthread statically
+      ifneq ($(OSTYPE),mingw)
+        LDFLAGS += -lpthread
+      endif
+    endif
+  endif
+endif
+
+ifdef WITH_REVISION
   ifeq ($(shell expr $(WITH_REVISION) \>= 1), 1)
     ifeq ($(shell expr $(WITH_REVISION) \>= 2), 1)
       REV = $(WITH_REVISION)
@@ -315,6 +355,7 @@
 SOURCES += gui/line_item.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
+SOURCES += gui/loadfont_frame.cc
 SOURCES += gui/loadsave_frame.cc
 SOURCES += gui/map_frame.cc
 SOURCES += gui/message_frame_t.cc
@@ -358,31 +399,3 @@
 SOURCES += network/network_packet.cc
 SOURCES += network/network_socket_list.cc
 SOURCES += network/pakset_info.cc
-SOURCES += network/pwd_hash.cc
-SOURCES += old_blockmanager.cc
-SOURCES += player/ai.cc
-SOURCES += player/ai_goods.cc
-SOURCES += player/ai_passenger.cc
-SOURCES += player/ai_scripted.cc
-SOURCES += player/finance.cc
-SOURCES += player/simplay.cc
-SOURCES += script/api_class.cc
-SOURCES += script/api_function.cc
-SOURCES += script/api_param.cc
-SOURCES += script/api/api_city.cc
-SOURCES += script/api/api_command.cc
-SOURCES += script/api/api_const.cc
-SOURCES += script/api/api_control.cc
-SOURCES += script/api/api_convoy.cc
-SOURCES += script/api/api_gui.cc
-SOURCES += script/api/api_factory.cc
-SOURCES += script/api/api_halt.cc
-SOURCES += script/api/api_include.cc
-SOURCES += script/api/api_line.cc
-SOURCES += script/api/api_map_objects.cc
-SOURCES += script/api/api_obj_desc.cc
-SOURCES += script/api/api_obj_desc_base.cc
-SOURCES += script/api/api_player.cc
-SOURCES += script/api/api_scenario.cc
-SOURCES += script/api/api_schedule.cc
-SOURCES += script/api/api_settings.cc

=== debian/changelog ===
simutrans (120.3-1ubuntu1) cosmic; urgency=medium

  * to back to an arch:any package again, armhf seems to build fine now.
    - thanks <vorlon> and <infinity> for the help

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Jul 2018 11:54:48 +0200

simutrans (120.3-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * New debian/patches/0110-path_max.patch:
    - Define PATH_MAX if not defined.
  * debian/copyright:
    - Use secure copyright format URI.
  * debian/control:
    - Remove armhf from architectures.
    - Move Vcs-* to salsa.
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 08 Jul 2018 12:47:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: simutrans
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Clint Adams <clint@debian.org>,
  Jörg Frings-Fürst <debian@jff.email>
@@ -14,10 +13,10 @@
  libsdl-mixer1.2-dev,
  quilt,
  zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.simutrans.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans.git
+Vcs-Git: https://salsa.debian.org/games-team/simutrans.git
+Vcs-Browser: https://salsa.debian.org/games-team/simutrans
 
 Package: simutrans
 Architecture: any
